Name:           python-tap-twilio
Version:        0.1.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Singer.io tap for extracting data from the Twilio API

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/tap-twilio/
Source:         %{pypi_source tap-twilio}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'tap-twilio' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-tap-twilio
Summary:        %{summary}

%description -n python3-tap-twilio %_description


%prep
%autosetup -p1 -n tap-twilio-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-tap-twilio -f %{pyproject_files}


%changelog
%autochangelog